Package org.gradle.nativeplatform

## Interface NativeComponentSpec

- All Superinterfaces:
    `ComponentSpec`, `ModelElement`, `Named`
  All Known Subinterfaces:
    `CUnitTestSuiteSpec`, `GoogleTestTestSuiteSpec`, `NativeExecutableSpec`, `NativeLibrarySpec`, `NativeTestSuiteSpec`, `TargetedNativeComponent`

      @Incubating
      public interface NativeComponentSpec
      extends ComponentSpec

  Definition of a software component that is to be built by Gradle to run a on JVM platform.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBaseName()` | The name that is used to construct the output file names when building this component.
    `void` | `setBaseName​(java.lang.String baseName)` | Sets the name that is used to construct the output file names when building this component.

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

- - ### Method Detail

    - #### getBaseName

          java.lang.String getBaseName()

      The name that is used to construct the output file names when building this component.

    - #### setBaseName

          void setBaseName​(java.lang.String baseName)

      Sets the name that is used to construct the output file names when building this component.